package cn.citycraft.CTZServer.commands;

import cn.citycraft.CTZServer.ServerThread;
import cn.citycraft.CTZServerCommon.CTZAuth;
import cn.citycraft.CTZServerCommon.CTZServer;
import net.md_5.bungee.api.ChatColor;

public class CommandRegister extends BaseCommand {
	ServerThread serverThread;

	public CommandRegister(ServerThread serverThread) {
		super("reg", "register");
		this.serverThread = serverThread;
	}

	@Override
	public void execute(String label, String[] args) {
		if (CTZAuth.registerPlayer(args[0], args[1]))
			CTZServer.print(ChatColor.GREEN + "账户 " + args[0] + " 注册成功!");
		else
			CTZServer.warn(ChatColor.RED + "账户 " + args[0] + " 注册失败!");
	}

	@Override
	public String getDescription() {
		return ChatColor.GREEN + "注册新账户";
	}

	@Override
	public int getMinimumArguments() {
		return 2;
	}

	@Override
	public String getPossibleArguments() {
		return "<账号> <密码>";
	}

}
